package types

type BulkData struct {
	Id              string `json:"id"`
	Uri             string `json:"uri"`
	Type            string `json:"type"`
	Name            string `json:"name"`
	Description     string `json:"description"`
	DownloadUri     string `json:"download_uri"`
	UpdatedAt       string `json:"updated_at"`
	Size            int    `json:"size"`
	ContentType     string `json:"content_type"`
	ContentEncoding string `json:"content_encoding"`
}

type BulkDataList struct {
	Object  string     `json:"object"`
	HasMore bool       `json:"has_more"`
	Data    []BulkData `json:"data"`
}
